Bug 1027152 - Windows doesn't occur on their original location after undocking and docking notebook
Windows doesn't occur on their original location after undocking and docking ...
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gnome-shell (Show other bugs)
7.0
Unspecified Unspecified
high Severity medium
: rc
: ---
Assigned To: Florian Müllner
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-06 04:48 EST by Branislav Náter
Modified: 2017-01-09 11:29 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Branislav Náter 2013-11-06 04:48:27 EST
Description of problem:
I'm running system on laptop and I'm using two monitor setup, regular monitor and laptop display. Regular monitor is the primary one. When I undock laptop, all windows from primary monitor move to laptop display, which is expected. But when I get laptop back to dock, all windows stay on laptop screen. This is pretty annoying. I have to move all windows to their original location.

Version-Release number of selected component (if applicable):
gnome-shell-3.8.4-2.fc19
gnome-shell-3.8.4-10.el7

How reproducible:
always

Steps to Reproduce:
1. see description

Additional info:
I'm running Fedora 19 but same issue appear on rhel-7.
Comment 1 RHEL Product and Program Management 2014-03-22 02:33:42 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 3 Michal Domonkos 2015-05-14 06:05:02 EDT
This seems to work fine on GNOME-3.14 except that it doesn't with the very first undock/dock event since the gnome session start.  Reproducer:

1. In GNOME, set up a layout such that both the laptop's display and an external display is used
2. Make the external display primary
3. Open two windows and place one on each screen
4. Undock and dock
6. Notice how both windows remain on the laptop's display (incorrect behavior)
7. Move one of them back to the external display
8. Undock and dock
9. Now the windows are placed in their original locations, i.e. one of them being on the external display (correct behavior)

Logging out and in again, the same scenario is repeated.
Comment 4 Michal Domonkos 2015-08-07 06:03:45 EDT
Revisiting this issue, it actually turns out to be pretty random in terms of reproducibility.  I would say it depends on whether the secondary display is ready at the time gnome-shell tries to restore individual windows.  So if the display on which a window was before undocking doesn't activate fast enough on docking, the window will just end up on the display which is already active.

Note You need to log in before you can comment on or make changes to this bug.